from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Boolean, File, String

Cache_Mgr_2_V0_1_0 = CommandToolBuilder(tool="cache_mgr.2", base_command=["cache-mgr.2"], inputs=[ToolInput(tag="in_report", input_type=Boolean(optional=True), prefix="--report", doc=InputDocumentation(doc="report objects in cache")), ToolInput(tag="in_rep_report", input_type=Boolean(optional=True), prefix="--rep-report", doc=InputDocumentation(doc="report status of repositories")), ToolInput(tag="in_details", input_type=Boolean(optional=True), prefix="--details", doc=InputDocumentation(doc="show detailed report")), ToolInput(tag="in_test_zero", input_type=Boolean(optional=True), prefix="--test-zero", doc=InputDocumentation(doc="test for zero blocks (for report function)")), ToolInput(tag="in_unlock", input_type=Boolean(optional=True), prefix="--unlock", doc=InputDocumentation(doc="remove lock-files")), ToolInput(tag="in_clear", input_type=Boolean(optional=True), prefix="--clear", doc=InputDocumentation(doc="clear cache")), ToolInput(tag="in_max_remove", input_type=Boolean(optional=True), prefix="--max-remove", doc=InputDocumentation(doc="remove until reached that many bytes")), ToolInput(tag="in_remove_dirs", input_type=Boolean(optional=True), prefix="--remove-dirs", doc=InputDocumentation(doc="remove directories, not only files")), ToolInput(tag="in_enable", input_type=Boolean(optional=True), prefix="--enable", doc=InputDocumentation(doc="enable repository [user/site/rem]")), ToolInput(tag="in_disable", input_type=Boolean(optional=True), prefix="--disable", doc=InputDocumentation(doc="disable repository [user/site/rem]")), ToolInput(tag="in_user_repo_name", input_type=Boolean(optional=True), prefix="--user-repo-name", doc=InputDocumentation(doc="restrict to this user-repository")), ToolInput(tag="in_verbose", input_type=Boolean(optional=True), prefix="--verbose", doc=InputDocumentation(doc="Increase the verbosity of the program\nstatus messages. Use multiple times for more\nverbosity. Negates quiet.")), ToolInput(tag="in_quiet", input_type=Boolean(optional=True), prefix="--quiet", doc=InputDocumentation(doc="Turn off all status messages for the\nprogram. Negated by verbose.")), ToolInput(tag="in_option_file", input_type=File(optional=True), prefix="--option-file", doc=InputDocumentation(doc="Read more options and parameters from the")), ToolInput(tag="in_quit_dot", input_type=String(), position=0, doc=InputDocumentation(doc="-L|--log-level <level>           Logging level as number or enum string. One ")), ToolInput(tag="in_file_dot", input_type=File(), position=0, doc=InputDocumentation(doc="cache-mgr.2 : 2.10.8"))], outputs=[], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Cache_Mgr_2_V0_1_0().translate("wdl", allow_empty_container=True)

